Browse Source

VFS structure changes:

  * moved from lib/vfs/mc-vfs to lib/vfs;
  * split by directories for VFS-plugins and moved to src/vfs;
  * lib/vfs/vfs-impl.h was merged into lib/vfs/vfs.h.

Signed-off-by: Andrew Borodin <aborodin@vmail.ru>
Signed-off-by: Slava Zanko <slavazanko@gmail.com>
Slava Zanko 14 years ago
parent
commit
6c5f5bf768
10 changed files with 63 additions and 42 deletions
  1. 4 4
      autogen.sh
  2. 49 28
      configure.ac
  3. 1 1
      lib/Makefile.am
  4. 1 1
      lib/lock.c
  5. 1 1
      lib/mcconfig/common.c
  6. 1 1
      lib/mcconfig/paths.c
  7. 1 1
      lib/tty/key.c
  8. 1 1
      lib/util.c
  9. 1 1
      lib/utilunix.c
  10. 3 3
      lib/vfs/COPYING.LGPL

+ 4 - 4
autogen.sh

@@ -29,7 +29,7 @@ fi
 cd "$srcdir"
 
 # The autoconf cache (version after 2.52) is not reliable yet.
-rm -rf autom4te.cache lib/vfs/mc-vfs/samba/autom4te.cache
+rm -rf autom4te.cache src/vfs/smbfs/helpers/autom4te.cache
 
 if test ! -d config; then
   mkdir config
@@ -72,16 +72,16 @@ $AUTOMAKE -a
 test -f Makefile.in || \
   { echo "automake failed to generate Makefile.in" >&2; exit 1; }
 
-cd lib/vfs/mc-vfs/samba
+cd src/vfs/smbfs/helpers
 date -u >include/stamp-h.in
 
 $AUTOHEADER
 test -f include/config.h.in || \
-  { echo "autoheader failed to generate lib/vfs/mc-vfs/samba/include/config.h.in" >&2; exit 1; }
+  { echo "autoheader failed to generate src/vfs/smbfs/helpers/include/config.h.in" >&2; exit 1; }
 
 $AUTOCONF
 test -f configure || \
-  { echo "autoconf failed to generate lib/vfs/mc-vfs/samba/configure" >&2; exit 1; }
+  { echo "autoconf failed to generate src/vfs/smbfs/helpers/configure" >&2; exit 1; }
 ) || exit 1
 
 $srcdir/maint/version.sh "$srcdir"

+ 49 - 28
configure.ac

@@ -542,6 +542,53 @@ src/viewer/Makefile
 src/diffviewer/Makefile
 src/filemanager/Makefile
 
+src/vfs/Makefile
+
+src/vfs/cpio/Makefile
+
+src/vfs/extfs/Makefile
+src/vfs/extfs/helpers/Makefile
+src/vfs/extfs/helpers/a+
+src/vfs/extfs/helpers/apt+
+src/vfs/extfs/helpers/audio
+src/vfs/extfs/helpers/deb
+src/vfs/extfs/helpers/deba
+src/vfs/extfs/helpers/debd
+src/vfs/extfs/helpers/dpkg+
+src/vfs/extfs/helpers/iso9660
+src/vfs/extfs/helpers/hp48+
+src/vfs/extfs/helpers/lslR
+src/vfs/extfs/helpers/mailfs
+src/vfs/extfs/helpers/patchfs
+src/vfs/extfs/helpers/rpms+
+src/vfs/extfs/helpers/s3+
+src/vfs/extfs/helpers/uace
+src/vfs/extfs/helpers/ualz
+src/vfs/extfs/helpers/uar
+src/vfs/extfs/helpers/uarc
+src/vfs/extfs/helpers/uarj
+src/vfs/extfs/helpers/uc1541
+src/vfs/extfs/helpers/uha
+src/vfs/extfs/helpers/ulha
+src/vfs/extfs/helpers/urar
+src/vfs/extfs/helpers/uzip
+src/vfs/extfs/helpers/uzoo
+
+src/vfs/fish/Makefile
+src/vfs/fish/helpers/Makefile
+
+src/vfs/ftpfs/Makefile
+
+src/vfs/local/Makefile
+
+src/vfs/sfs/Makefile
+
+src/vfs/smbfs/Makefile
+
+src/vfs/tar/Makefile
+
+src/vfs/undelfs/Makefile
+
 lib/Makefile
 lib/event/Makefile
 lib/filehighlight/Makefile
@@ -550,35 +597,9 @@ lib/search/Makefile
 lib/skin/Makefile
 lib/strutil/Makefile
 lib/tty/Makefile
+
 lib/vfs/Makefile
-lib/vfs/mc-vfs/Makefile
-lib/vfs/mc-vfs/extfs/Makefile
-lib/vfs/mc-vfs/extfs/a+
-lib/vfs/mc-vfs/extfs/apt+
-lib/vfs/mc-vfs/extfs/audio
-lib/vfs/mc-vfs/extfs/deb
-lib/vfs/mc-vfs/extfs/deba
-lib/vfs/mc-vfs/extfs/debd
-lib/vfs/mc-vfs/extfs/dpkg+
-lib/vfs/mc-vfs/extfs/iso9660
-lib/vfs/mc-vfs/extfs/hp48+
-lib/vfs/mc-vfs/extfs/lslR
-lib/vfs/mc-vfs/extfs/mailfs
-lib/vfs/mc-vfs/extfs/patchfs
-lib/vfs/mc-vfs/extfs/rpms+
-lib/vfs/mc-vfs/extfs/s3+
-lib/vfs/mc-vfs/extfs/uace
-lib/vfs/mc-vfs/extfs/ualz
-lib/vfs/mc-vfs/extfs/uar
-lib/vfs/mc-vfs/extfs/uarc
-lib/vfs/mc-vfs/extfs/uarj
-lib/vfs/mc-vfs/extfs/uc1541
-lib/vfs/mc-vfs/extfs/uha
-lib/vfs/mc-vfs/extfs/ulha
-lib/vfs/mc-vfs/extfs/urar
-lib/vfs/mc-vfs/extfs/uzip
-lib/vfs/mc-vfs/extfs/uzoo
-lib/vfs/mc-vfs/fish/Makefile
+
 lib/widget/Makefile
 
 misc/syntax/Makefile

+ 1 - 1
lib/Makefile.am

@@ -48,5 +48,5 @@ libmc_la_LIBADD = \
 	strutil/libmcstrutil.la \
 	skin/libmcskin.la \
 	tty/libmctty.la \
-	vfs/mc-vfs/libvfs-mc.la \
+	vfs/libmcvfs.la \
 	widget/libmcwidget.la

+ 1 - 1
lib/lock.c

@@ -53,7 +53,7 @@
 #include <stdlib.h>
 
 #include "lib/global.h"
-#include "lib/vfs/mc-vfs/vfs.h"
+#include "lib/vfs/vfs.h"
 #include "lib/util.h"           /* tilde_expand() */
 #include "lib/lock.h"
 #include "lib/widget.h"         /* query_dialog() */

+ 1 - 1
lib/mcconfig/common.c

@@ -26,7 +26,7 @@
 #include <errno.h>              /* extern int errno */
 
 #include "lib/global.h"
-#include "lib/vfs/mc-vfs/vfs.h" /* mc_stat */
+#include "lib/vfs/vfs.h" /* mc_stat */
 #include "lib/util.h"
 #include "lib/mcconfig.h"
 

+ 1 - 1
lib/mcconfig/paths.c

@@ -32,7 +32,7 @@
 #include "lib/global.h"
 #include "lib/mcconfig.h"
 #include "lib/fileloc.h"
-#include "lib/vfs/mc-vfs/vfs.h"
+#include "lib/vfs/vfs.h"
 
 /*** global variables ****************************************************************************/
 

+ 1 - 1
lib/tty/key.c

@@ -40,7 +40,7 @@
 #include "lib/global.h"
 #include "lib/strutil.h"        /* str_casecmp */
 
-#include "lib/vfs/mc-vfs/vfs.h"
+#include "lib/vfs/vfs.h"
 
 #include "tty.h"
 #include "tty-internal.h"       /* mouse_enabled */

+ 1 - 1
lib/util.c

@@ -44,7 +44,7 @@
 #include "lib/tty/win.h"        /* xterm_flag */
 #include "lib/mcconfig.h"
 #include "lib/fileloc.h"
-#include "lib/vfs/mc-vfs/vfs.h"
+#include "lib/vfs/vfs.h"
 #include "lib/strutil.h"
 #include "lib/util.h"
 

+ 1 - 1
lib/utilunix.c

@@ -52,7 +52,7 @@
 #include <grp.h>
 
 #include "lib/global.h"
-#include "lib/vfs/mc-vfs/vfs.h" /* VFS_ENCODING_PREFIX */
+#include "lib/vfs/vfs.h"        /* VFS_ENCODING_PREFIX */
 #include "lib/strutil.h"        /* str_move() */
 #include "lib/util.h"
 #include "lib/widget.h"         /* message() */

+ 3 - 3
lib/vfs/mc-vfs/COPYING.LGPL → lib/vfs/COPYING.LGPL

@@ -9,7 +9,7 @@ covered by the terms of the GNU GPL.
 		       Version 2, June 1991
 
  Copyright (C) 1991 Free Software Foundation, Inc.
-    		    51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
+		    51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
  Everyone is permitted to copy and distribute verbatim copies
  of this license document, but changing it is not allowed.
 
@@ -470,8 +470,8 @@ convey the exclusion of warranty; and each file should have at least the
     Library General Public License for more details.
 
     You should have received a copy of the GNU Library General Public
-    License along with this library; if not, write to the 
-    Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
+    License along with this library; if not, write to the
+    Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
     Boston, MA  02110-1301  USA.
 
 Also add information on how to contact you by electronic and paper mail.

Some files were not shown because too many files changed in this diff